<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
  <ProjectOptions>
    <Version Value="12"/>
    <General>
      <Flags>
        <MainUnitHasCreateFormStatements Value="False"/>
        <MainUnitHasTitleStatement Value="False"/>
        <MainUnitHasScaledStatement Value="False"/>
      </Flags>
      <SessionStorage Value="InProjectDir"/>
      <Title Value="WasiDomTest1"/>
      <UseAppBundle Value="False"/>
      <ResourceType Value="res"/>
    </General>
    <BuildModes>
      <Item Name="Default" Default="True"/>
    </BuildModes>
    <PublishOptions>
      <Version Value="2"/>
      <UseFileFilters Value="True"/>
    </PublishOptions>
    <RunParams>
      <FormatVersion Value="2"/>
    </RunParams>
    <Units>
      <Unit>
        <Filename Value="WasiDomTest1.lpr"/>
        <IsPartOfProject Value="True"/>
      </Unit>
      <Unit>
        <Filename Value="job_web.pas"/>
        <IsPartOfProject Value="True"/>
        <UnitName Value="JOB_Web"/>
      </Unit>
      <Unit>
        <Filename Value="job_js.pas"/>
        <IsPartOfProject Value="True"/>
        <UnitName Value="JOB_JS"/>
      </Unit>
      <Unit>
        <Filename Value="../../../packages/job/job_shared.pp"/>
        <IsPartOfProject Value="True"/>
        <UnitName Value="JOB_Shared"/>
      </Unit>
    </Units>
  </ProjectOptions>
  <CompilerOptions>
    <Version Value="11"/>
    <Target>
      <Filename Value="WasiDomTest1.wasm" ApplyConventions="False"/>
    </Target>
    <SearchPaths>
      <IncludeFiles Value="$(ProjOutDir)"/>
      <OtherUnitFiles Value="../../../packages/job/src"/>
      <UnitOutputDirectory Value="lib/$(TargetCPU)-$(TargetOS)"/>
    </SearchPaths>
    <CodeGeneration>
      <TargetCPU Value="wasm32"/>
      <TargetOS Value="wasi"/>
    </CodeGeneration>
    <Linking>
      <Debugging>
        <GenerateDebugInfo Value="False"/>
      </Debugging>
      <Options>
        <ExecutableType Value="Library"/>
      </Options>
    </Linking>
    <Other>
      <OtherDefines Count="1">
        <Define0 Value="VerboseInvokeJSArgs"/>
      </OtherDefines>
      <CompilerPath Value="/usr/lib/fpc/3.3.1/ppcrosswasm32"/>
    </Other>
  </CompilerOptions>
  <Debugging>
    <Exceptions>
      <Item>
        <Name Value="EAbort"/>
      </Item>
      <Item>
        <Name Value="ECodetoolError"/>
      </Item>
      <Item>
        <Name Value="EFOpenError"/>
      </Item>
    </Exceptions>
  </Debugging>
</CONFIG>
